<?php
$func = $_GET["funcion"];
$func();

function verificar(){
include_once '../php/config.php';
 $x = mysql_query("select * from detalle_pedido where mesa='".$_GET['mesa']."'") or die(mysql_error());
 if(mysql_num_rows($x)>0){
    "Hay productos pendientes por confirmar en comanda!";
 }else{
   /////generar();
 }

}

function generar(){
	$bal  = 0;
if($_GET["termino"]=="Credito"){
	$bal = $_GET['monto'];
}
   include_once '../php/config.php';
   mysql_query("insert into ventas set 
   fecha=CURDATE(), hora=CURTIME(), cliente='".$_GET['ticket']."',
   ticket='".$_GET['ticket']."',
   concepto='Venta',
   estado='Cerrada',
   mesa='".$_GET['mesa']."',
   camarero='".$_GET['camarero']."',
   total='".$_GET['monto']."',
   precio='".$_GET['monto']."',
   costo='".$_GET['costo']."',
   termino='".$_GET['termino']."',
   pagado='".$_GET['cobrado']."',
   devuelta='".$_GET['cambio']."',
   efectivo='".$_GET['efectivo']."',
   monto_tarjeta='".$_GET['tarjeta']."',
   balance='$bal',
   usuario='".$_COOKIE['usuario']."',
   referencia_tarjeta='".$_GET['ref_tarjeta']."'
   ") or die(mysql_error());


////////////////////
//seleccionar productos de comanda/
/////////////////////
$sql1 = mysql_query("select * from detalle_comanda where mesa='".$_GET['mesa']."' and anulado!=1") or die(mysql_error());
	while($rr = mysql_fetch_array($sql1)){
		enviar($rr["codigo"],
			   $rr["descripcion"],
			   $rr["precio"],
			   $rr["costo"],
			   $rr["total_precio"],
			   $rr["total_costo"],
			   $rr["cantidad"],
			   $rr["mesa"],
			   $rr["camarero"]);

///echo 1;
}
 mysql_query("delete from  detalle_pedido where mesa='".$_GET['mesa']."'")or die(mysql_error());
 mysql_query("delete from  detalle_comanda where mesa='".$_GET['mesa']."'")or die(mysql_error());
 
 ///cuadre///
 if($_GET["termino"]!="Credito"){
$tarjeta = $_GET["tarjeta"];
$monto = $_GET["monto"];
$efectivo = $_GET["efectivo"];

if($efectivo>$monto){
	$efectivo = $monto;
}

if($tarjeta>$monto){
	$tarjeta = $monto;
}

 mysql_query("update cuadres set balance_efectivo=balance_efectivo +'".$efectivo."',
total_ventas=total_ventas +'".$_GET['monto']."',
total_ventas_efectivo=total_ventas_efectivo +'".$efectivo."',
total_ventas_tarjeta=total_ventas_tarjeta +'".$tarjeta."',
ventas = ventas+1 where usuario='".$_COOKIE['usuario']."'")or die(mysql_error());
 }else{
mysql_query("update cuadres set 
 total_ventas=total_ventas +'".$_GET['monto']."',
 total_ventas_credito=total_ventas_credito +'".$_GET['monto']."',
ventas = ventas+1 where usuario='".$_COOKIE['usuario']."'")or die(mysql_error());
	 
 }
 
mysql_query("update mesas set precuenta='' where nombre='".$_GET['txt-mesa']."'")or die(mysql_error());
	 
	 
echo 1;
}

/////////
//enviando producto de comanda a detalle_venta
////
function enviar($codigo, $descripcion, $precio, $costo, $total_precio, $total_costo, $cantidad, $mesa, $camarero){
	 $x = mysql_query("select * from ventas where usuario='".$_COOKIE['usuario']."' order by id_venta desc limit 1") or die(mysql_error());
	 $id= @mysql_result($x, 0, "id_venta");

	mysql_query("insert into detalle_venta set codigo='".$codigo."',
	 descripcion = '".$descripcion."',
	 precio = '".$precio."',
	 costo = '".$costo."',
	 total_precio = '".$total_precio."',
	 total_costo = '".$total_costo."',
	 camarero='".$camarero."',
	 mesa='".$mesa."',
	 fecha=CURDATE(),
	 usuario='".$_COOKIE['usuario']."',
	 folio='$id',
	 cantidad='".$cantidad."'") or die(mysql_error());
	
	mysql_query("update inventario set cantidad=cantidad-'".$cantidad."' where codigo='".$codigo."'") or die(mysql_error());


/// echo "<script>window.location.href='vender.php?txt-mesa=".$_GET['txt-mesa']."&txt-camarero=".$_GET['txt-camarero']."'</script>";

}





function ultima_venta(){
include_once '../php/config.php';
 $x = mysql_query("select * from ventas where usuario='".$_COOKIE['usuario']."' order by id_venta desc limit 1") or die(mysql_error());
 echo @mysql_result($x, 0, "id_venta");

}
	
	?>